'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.HelpButton = exports.HelpDiv = exports.HelpIcon = exports.Bold = exports.HelpPopUp = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tbackground: white;\n\tborder: 1px solid #3f3f3f;\n\tz-index: 99;\n\theight: 90vh;\n\twidth: 90vw;\n\tposition: fixed;\n    left: 50%;\n\ttop: 5%;\n    transform: translate(-50%, 0);\n'], ['\n\tbackground: white;\n\tborder: 1px solid #3f3f3f;\n\tz-index: 99;\n\theight: 90vh;\n\twidth: 90vw;\n\tposition: fixed;\n    left: 50%;\n\ttop: 5%;\n    transform: translate(-50%, 0);\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n\tfont-size: 12px;\n\tmargin-left: 4px;\n'], ['\n\tfont-size: 12px;\n\tmargin-left: 4px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: white;\n\t\tborder-left: 1px solid white;\n\t}\n'], ['\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: white;\n\t\tborder-left: 1px solid white;\n\t}\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n\tposition: absolute;\n\tright: 0;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\tcursor: pointer;\n\tborder-left: 1px solid #aaa;\n\theight: 30px;\n\talign-items: center;\n\twidth: ', ';\n\tjustify-content: center;\n\t', '\n\t', '\n\t', '\n\t', '\n\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n'], ['\n\tposition: absolute;\n\tright: 0;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\tcursor: pointer;\n\tborder-left: 1px solid #aaa;\n\theight: 30px;\n\talign-items: center;\n\twidth: ', ';\n\tjustify-content: center;\n\t', '\n\t', '\n\t', '\n\t', '\n\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n']),
    _templateObject5 = _taggedTemplateLiteral(['height:30px;'], ['height:30px;']),
    _templateObject6 = _taggedTemplateLiteral(['height:20px;'], ['height:20px;']),
    _templateObject7 = _taggedTemplateLiteral(['height:10px;'], ['height:10px;']),
    _templateObject8 = _taggedTemplateLiteral(['\n\tpadding: 0 5px;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\talign-items: center;\n\tjustify-content: center;\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: white;\n\t\tborder-left: 1px solid white;\n\t\tborder-radius: 5px;\n\t}\n\theight: 30px;\n\t', '\n\t', '\n\t', '\n\t', '\n'], ['\n\tpadding: 0 5px;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\talign-items: center;\n\tjustify-content: center;\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: white;\n\t\tborder-left: 1px solid white;\n\t\tborder-radius: 5px;\n\t}\n\theight: 30px;\n\t', '\n\t', '\n\t', '\n\t', '\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _odeumUi = require('odeum-ui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import theme from '../../theme/default'


var HelpPopUp = exports.HelpPopUp = _styledComponents2.default.div(_templateObject);

var Bold = exports.Bold = _styledComponents2.default.b(_templateObject2);

var HelpIcon = exports.HelpIcon = (0, _styledComponents2.default)(_odeumUi.Icon)(_templateObject3, function (props) {
	return props.theme.tab.hover;
});

var HelpDiv = exports.HelpDiv = _styledComponents2.default.div(_templateObject4, function (props) {
	return props.small ? '30px' : '130px';
}, _media2.default.giant(_templateObject5), _media2.default.desktop(_templateObject5), _media2.default.tablet(_templateObject6), _media2.default.phone(_templateObject7));

var HelpButton = exports.HelpButton = _styledComponents2.default.div(_templateObject8, function (props) {
	return props.theme.tab.selected;
}, _media2.default.giant(_templateObject5), _media2.default.desktop(_templateObject5), _media2.default.tablet(_templateObject6), _media2.default.phone(_templateObject7));