'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _LoginStyles = require('./LoginStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LoginForm = function (_Component) {
	_inherits(LoginForm, _Component);

	function LoginForm(props) {
		_classCallCheck(this, LoginForm);

		var _this = _possibleConstructorReturn(this, (LoginForm.__proto__ || Object.getPrototypeOf(LoginForm)).call(this, props));

		_this.handleChange = function (e) {
			_this.setState(_defineProperty({}, e.target.name, e.target.value));
		};

		_this.submit = function () {
			_this.props.login(_this.state.username, _this.state.password);
		};

		_this.state = {
			username: '',
			password: ''
		};
		return _this;
	}

	_createClass(LoginForm, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				_LoginStyles.LoginDiv,
				null,
				_react2.default.createElement(_LoginStyles.Input, { name: 'username', onChange: this.handleChange, placeholder: 'user', style: { marginBottom: '5px' } }),
				_react2.default.createElement(_LoginStyles.Input, { name: 'password', onChange: this.handleChange, placeholder: 'password', type: 'password', style: { marginBottom: '5px' } }),
				_react2.default.createElement(
					_LoginStyles.Button,
					{ hasText: true, color: 'blue', onClick: this.submit },
					'Log me in'
				)
			);
		}
	}]);

	return LoginForm;
}(_react.Component);

exports.default = LoginForm;