'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.LogoImg = exports.LogoDiv = exports.HeaderDiv = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tgrid-area:header;\n\tcolor: #333;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\t/* width: 100vw; */\n\theight: ', ';\n\talign-items: center;\n\tjustify-content: ', ';\n\t/* justify-content: ', '; */\n\tbackground-color: ', ';\n\tcolor: ', ';\n\t', '\n\t', '\n\t', '\n\t', '\n'], ['\n\tgrid-area:header;\n\tcolor: #333;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\t/* width: 100vw; */\n\theight: ', ';\n\talign-items: center;\n\tjustify-content: ', ';\n\t/* justify-content: ', '; */\n\tbackground-color: ', ';\n\tcolor: ', ';\n\t', '\n\t', '\n\t', '\n\t', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['height:80px;'], ['height:80px;']),
    _templateObject3 = _taggedTemplateLiteral(['height:60px;'], ['height:60px;']),
    _templateObject4 = _taggedTemplateLiteral(['\n\t/* height: 50%; */\n\theight: ', ';\n\talign-self: center;\n\tmargin: ', ';\n'], ['\n\t/* height: 50%; */\n\theight: ', ';\n\talign-self: center;\n\tmargin: ', ';\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n\theight: 100%;\n'], ['\n\theight: 100%;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var HeaderDiv = exports.HeaderDiv = _styledComponents2.default.div(_templateObject, function (props) {
	return props.theme.header.height ? props.theme.header.height : '80px';
}, function (props) {
	return props.quicknav && 'center';
}, function (props) {
	return props.quicknav ? 'center' : 'space-between';
}, function (props) {
	return props.theme.header.background;
}, function (props) {
	return props.theme.header.color;
}, _media2.default.giant(_templateObject2), _media2.default.desktop(_templateObject2), _media2.default.tablet(_templateObject3), _media2.default.phone(_templateObject3));

var LogoDiv = exports.LogoDiv = (0, _styledComponents2.default)(_reactRouterDom.Link)(_templateObject4, function (props) {
	return props.theme.logo.height ? props.theme.logo.height : '35px';
}, function (props) {
	return props.theme.logo.margin ? props.theme.logo.margin : '5px';
});

var LogoImg = exports.LogoImg = _styledComponents2.default.img(_templateObject5);