'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.LoginWithComponent = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('components/Menu/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _reactRouterDom = require('react-router-dom');

var _LoginForm = require('./LoginForm');

var _LoginForm2 = _interopRequireDefault(_LoginForm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Login = function Login(isLoggedIn, login, routeToLogin, label, redirectTo) {
	return isLoggedIn ? _react2.default.createElement(
		_Menu2.default,
		{ route: routeToLogin ? routeToLogin : '/login' },
		_react2.default.createElement(_reactRouterDom.Redirect, { to: redirectTo ? redirectTo : '/' })
	) : _react2.default.createElement(
		_Menu2.default,
		{ route: routeToLogin ? routeToLogin : '/login', label: label ? label : 'Login' },
		_react2.default.createElement(_LoginForm2.default, { login: login })
	);
};
var LoginWithComponent = exports.LoginWithComponent = function LoginWithComponent(isLoggedIn, Component, routeToLogin, label, redirectTo) {
	return isLoggedIn ? _react2.default.createElement(
		_Menu2.default,
		{ route: routeToLogin ? routeToLogin : '/login' },
		_react2.default.createElement(_reactRouterDom.Redirect, { to: redirectTo ? redirectTo : '/' })
	) : _react2.default.createElement(
		_Menu2.default,
		{ route: routeToLogin ? routeToLogin : '/login', label: label ? label : 'Login' },
		_react2.default.createElement(Component, null)
	);
};
exports.default = Login;