'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Link = exports.MenuContainer = exports.MenuText = exports.ArrowIconDiv = exports.IconDiv = exports.MenuFooter = exports.MenuHeader = exports.MenuDiv = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tgrid-area:menupanel;\n\tbackground-color: ', ';\n\t/* display: grid; */\n\t/* grid-auto-rows: 50px; */\n\tdisplay:flex;\n\tflex-flow:column wrap;\n\toverflow-x: hidden;\n\tmax-width: ', ';\n\ttransition: max-width 300ms ease;\n\t\n'], ['\n\tgrid-area:menupanel;\n\tbackground-color: ', ';\n\t/* display: grid; */\n\t/* grid-auto-rows: 50px; */\n\tdisplay:flex;\n\tflex-flow:column wrap;\n\toverflow-x: hidden;\n\tmax-width: ', ';\n\ttransition: max-width 300ms ease;\n\t\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\talign-items: center;\n\tborder-bottom: ', ';\n\theight: 40px;\n\twidth: 100%;\n'], ['\n\tdisplay: flex;\n\talign-items: center;\n\tborder-bottom: ', ';\n\theight: 40px;\n\twidth: 100%;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\talign-items: center;\n\tjustify-content: center;\n'], ['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\talign-items: center;\n\tjustify-content: center;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\ndisplay: flex;\nflex-flow:column;\nheight: auto;\nmargin-top:auto;\n/* margin-bottom: 30px; */\n'], ['\ndisplay: flex;\nflex-flow:column;\nheight: auto;\nmargin-top:auto;\n/* margin-bottom: 30px; */\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\twidth: 50; \n\theight: 50px;\n\tmin-width: 50px;\n\talign-items: center;\n\tjustify-content: center;\n'], ['\n\tdisplay: flex;\n\twidth: 50; \n\theight: 50px;\n\tmin-width: 50px;\n\talign-items: center;\n\tjustify-content: center;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\talign-self: right;\n\tjustify-content: center;\n'], ['\n\tdisplay: flex;\n\talign-self: right;\n\tjustify-content: center;\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n\twidth: 100%;\n'], ['\n\twidth: 100%;\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n\tdisplay:flex;\n\tflex-flow: ', ';\n\tflex:1;\n\toverflow-y: hidden;\n'], ['\n\tdisplay:flex;\n\tflex-flow: ', ';\n\tflex:1;\n\toverflow-y: hidden;\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n\tborder-bottom: ', ';\n\ttext-decoration: none;\n\toutline: 0;\n\tcolor: ', ';\n\twidth: 250px;\n\theight: 50px;\n\tfont-weight: 300;\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: space-between;\n\tbackground: ', ';\n\t&:hover{\n\t\tbackground: ', '\n\t}\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n'], ['\n\tborder-bottom: ', ';\n\ttext-decoration: none;\n\toutline: 0;\n\tcolor: ', ';\n\twidth: 250px;\n\theight: 50px;\n\tfont-weight: 300;\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: space-between;\n\tbackground: ', ';\n\t&:hover{\n\t\tbackground: ', '\n\t}\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MenuDiv = exports.MenuDiv = _styledComponents2.default.div(_templateObject, function (props) {
	return props.theme.menu.background;
}, function (props) {
	return props.achordeon ? '250px;' : '50px';
});

var BaseItem = _styledComponents2.default.div(_templateObject2, function (props) {
	return props.theme.menu.bottomBorder;
});

var MenuHeader = exports.MenuHeader = BaseItem.extend(_templateObject3);

var MenuFooter = exports.MenuFooter = BaseItem.extend(_templateObject4);

var IconDiv = exports.IconDiv = _styledComponents2.default.div(_templateObject5);

var ArrowIconDiv = exports.ArrowIconDiv = IconDiv.extend(_templateObject6);
var MenuText = exports.MenuText = _styledComponents2.default.div(_templateObject7);
var MenuContainer = exports.MenuContainer = _styledComponents2.default.div(_templateObject8, function (props) {
	return props.quicknav ? 'column nowrap' : 'row nowrap';
});
var Link = exports.Link = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject9, function (props) {
	return props.theme.menu.bottomBorder;
}, function (props) {
	return props.theme.menu.color;
}, function (props) {
	return props.activemenu === 'true' ? props.theme.menu.selected : props.theme.menu.unselected;
}, function (props) {
	return props.theme.menu.hover;
});