'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Spacer = exports.QuickNavContainer = exports.QuickNavMenu = exports.QuickNavButton = exports.QuickNav = exports.TabList = exports.TabItem = exports.MenuList = exports.MenuItem = exports.Link = exports.SubHeader = exports.Header = exports.RoundButton = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tbackground: none;\n\tcolor: ', ';\n\twidth: 30px;\n\theight:30px;\n\tborder-radius: 30px;\n\tdisplay:flex;\n\tjustify-content:center;\n\talign-items:center;\n\tjustify-self:flex-end;\n'], ['\n\tbackground: none;\n\tcolor: ', ';\n\twidth: 30px;\n\theight:30px;\n\tborder-radius: 30px;\n\tdisplay:flex;\n\tjustify-content:center;\n\talign-items:center;\n\tjustify-self:flex-end;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n\tdisplay:grid;\n\tgrid-template-rows: auto;\n\tgrid-auto-flow:column;\n\tjustify-items: center;\n'], ['\n\tdisplay:grid;\n\tgrid-template-rows: auto;\n\tgrid-auto-flow:column;\n\tjustify-items: center;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n\tdisplay:flex;\n\talign-items:center;\n\tjustify-self: flex-start;\n'], ['\n\tdisplay:flex;\n\talign-items:center;\n\tjustify-self: flex-start;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n    text-decoration:none;\n    color: inherit;\n    display: flex;\n\tflex-flow: column;\n    align-items:center;\n    justify-content: center;\n    height:100%;\n    width:100%;\n'], ['\n    text-decoration:none;\n    color: inherit;\n    display: flex;\n\tflex-flow: column;\n    align-items:center;\n    justify-content: center;\n    height:100%;\n    width:100%;\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n    background:', ';\n    color: ', ';\n    height:50px;\n    display: flex;\n\tflex-flow: column;\n    align-items:center;\n    justify-content: center;\n    border-radius:5px;\n\tmin-width: 100px;\n    margin:0px 7px;\n    padding: 0px 7px;\n    &:first-child{\n        margin-left:1px;\n    }\n\t&:hover{\n\t\t/* background: rgba(59,151,211,0.8); */\n\t\tborder: 10px;\n\t\tborder-color: rgba(59,151,211,0.3);\n\t\tbox-shadow: 0 0 0 3px rgba(59,151,211,0.3);\n\t\t}\n\n    cursor:pointer;\n'], ['\n    background:', ';\n    color: ', ';\n    height:50px;\n    display: flex;\n\tflex-flow: column;\n    align-items:center;\n    justify-content: center;\n    border-radius:5px;\n\tmin-width: 100px;\n    margin:0px 7px;\n    padding: 0px 7px;\n    &:first-child{\n        margin-left:1px;\n    }\n\t&:hover{\n\t\t/* background: rgba(59,151,211,0.8); */\n\t\tborder: 10px;\n\t\tborder-color: rgba(59,151,211,0.3);\n\t\tbox-shadow: 0 0 0 3px rgba(59,151,211,0.3);\n\t\t}\n\n    cursor:pointer;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n    display: grid;\n\talign-content: center;\n\tgrid-auto-flow: column;\n\tgrid-auto-columns: max-content;\n/* \tdisplay: flex;\n\tflex-flow: column wrap; \n\tjustify-content:space-evenly;*/\n\theight: 70px;\n\tmax-height:70px;\n\tmargin: 0;\n\tpadding:0;\n\tline-height:15px;\n\talign-items:center;\n\toverflow-x: auto;\n\t-webkit-overflow-scrolling: touch;\n\twidth:90vw;\n'], ['\n    display: grid;\n\talign-content: center;\n\tgrid-auto-flow: column;\n\tgrid-auto-columns: max-content;\n/* \tdisplay: flex;\n\tflex-flow: column wrap; \n\tjustify-content:space-evenly;*/\n\theight: 70px;\n\tmax-height:70px;\n\tmargin: 0;\n\tpadding:0;\n\tline-height:15px;\n\talign-items:center;\n\toverflow-x: auto;\n\t-webkit-overflow-scrolling: touch;\n\twidth:90vw;\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n    text-decoration: none;\n    min-width: auto;\n    padding:0px 15px;\n    height: 20px;\n    color:', ';\n    &:hover{\n        color: royalblue;\n    }\n    cursor:pointer;\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n'], ['\n    text-decoration: none;\n    min-width: auto;\n    padding:0px 15px;\n    height: 20px;\n    color:', ';\n    &:hover{\n        color: royalblue;\n    }\n    cursor:pointer;\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n    display: grid;\n\tgrid-auto-columns: auto;\n\talign-content: center;\n\tgrid-auto-flow: column;\n    /* flex-flow: column wrap;\n    align-items:center;\n    justify-content:center; */\n    height: 25px;\n    max-height:50px;\n    margin: 0;\n    padding:20px 0px;\n    line-height:20px;\n\t-webkit-overflow-scrolling: touch;\n    overflow-x: auto;\n    width:90vw;\n\twhite-space: nowrap;\n\toverflow-y:hidden;\n\n'], ['\n    display: grid;\n\tgrid-auto-columns: auto;\n\talign-content: center;\n\tgrid-auto-flow: column;\n    /* flex-flow: column wrap;\n    align-items:center;\n    justify-content:center; */\n    height: 25px;\n    max-height:50px;\n    margin: 0;\n    padding:20px 0px;\n    line-height:20px;\n\t-webkit-overflow-scrolling: touch;\n    overflow-x: auto;\n    width:90vw;\n\twhite-space: nowrap;\n\toverflow-y:hidden;\n\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n\tposition: absolute;\n\ttop: 50%;\n\tleft: 50%;\n\tz-index: 1; \n\tdisplay: flex; \n\tflex-flow: row nowrap;\n\talign-items: center; \n\tjustify-content: center;\n'], ['\n\tposition: absolute;\n\ttop: 50%;\n\tleft: 50%;\n\tz-index: 1; \n\tdisplay: flex; \n\tflex-flow: row nowrap;\n\talign-items: center; \n\tjustify-content: center;\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n    background: ', ';\n    border: none;\n    border-radius: 15px;\n    color: ', ';\n    padding: 10px 15px;\n    position:fixed;\n    bottom: 10%;\n    align-self:center;\n    cursor: pointer;\n    &:hover{\n        background: ', '\n    }\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n'], ['\n    background: ', ';\n    border: none;\n    border-radius: 15px;\n    color: ', ';\n    padding: 10px 15px;\n    position:fixed;\n    bottom: 10%;\n    align-self:center;\n    cursor: pointer;\n    &:hover{\n        background: ', '\n    }\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n']),
    _templateObject11 = _taggedTemplateLiteral(['\n    display:grid;\n\tgrid-template-columns: auto;\n\tgrid-template-rows: 50px 1px 50px 1px 70px;\n    justify-content: flex-end;\n    align-items:center;\n    flex-flow:column wrap;\n    background:white;\n    height:100%;\n    max-height: 210px;\n    border-radius: 5px;\n    border: 1px solid #cbc8c8;\n    padding: 5px;\n'], ['\n    display:grid;\n\tgrid-template-columns: auto;\n\tgrid-template-rows: 50px 1px 50px 1px 70px;\n    justify-content: flex-end;\n    align-items:center;\n    flex-flow:column wrap;\n    background:white;\n    height:100%;\n    max-height: 210px;\n    border-radius: 5px;\n    border: 1px solid #cbc8c8;\n    padding: 5px;\n']),
    _templateObject12 = _taggedTemplateLiteral(['\n    display:flex;\n    align-items:center;\n    justify-content: flex-end;\n    flex-flow: column nowrap;\n    color:black;\n    width: 100vw;\n    height: ', ';\n    overflow: hidden;\n    position:fixed;\n    z-index:2;\n    transition: height 200ms ease-in-out;\n    bottom: 0;\n'], ['\n    display:flex;\n    align-items:center;\n    justify-content: flex-end;\n    flex-flow: column nowrap;\n    color:black;\n    width: 100vw;\n    height: ', ';\n    overflow: hidden;\n    position:fixed;\n    z-index:2;\n    transition: height 200ms ease-in-out;\n    bottom: 0;\n']),
    _templateObject13 = _taggedTemplateLiteral(['\n\twidth: 90vw;\n\tmin-height: 1px;\n\tbackground: #cbc8c8;\n'], ['\n\twidth: 90vw;\n\tmin-height: 1px;\n\tbackground: #cbc8c8;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

//#region Header button

var RoundButton = exports.RoundButton = _styledComponents2.default.div(_templateObject, function (props) {
    return props.theme.quicknav.button.background;
});
var Header = exports.Header = _styledComponents2.default.div(_templateObject2);
var SubHeader = exports.SubHeader = _styledComponents2.default.div(_templateObject3);
//#endregion
var Link = exports.Link = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject4);

//#region Menu Button & List

var MenuItem = exports.MenuItem = _styledComponents2.default.div(_templateObject5, function (props) {
    return props.theme.quicknav.button.unselected;
}, function (props) {
    return props.theme.quicknav.button.background;
});
var MenuList = exports.MenuList = _styledComponents2.default.div(_templateObject6);

//#endregion

//#region Tab Text & List

var TabItem = exports.TabItem = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject7, function (props) {
    return props.activetab === 'true' ? props.theme.quicknav.tab.selected : props.theme.quicknav.tab.unselected;
});

var TabList = exports.TabList = _styledComponents2.default.div(_templateObject8);

//#endregion

//#region QuickNav Button, Overlay and Spacer

var QuickNav = exports.QuickNav = _styledComponents2.default.div(_templateObject9);

var QuickNavButton = exports.QuickNavButton = _styledComponents2.default.div(_templateObject10, function (props) {
    return props.theme.quicknav.button.background;
}, function (props) {
    return props.theme.quicknav.button.color;
}, function (props) {
    return props.theme.tab.hover;
});
var QuickNavMenu = exports.QuickNavMenu = _styledComponents2.default.div(_templateObject11);
var QuickNavContainer = exports.QuickNavContainer = _styledComponents2.default.div(_templateObject12, function (props) {
    return props.quickNav ? '100vh' : '0px';
});

var Spacer = exports.Spacer = _styledComponents2.default.div(_templateObject13);

//#endregion