'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.TabIconDiv = exports.SceneDiv = exports.Link = exports.TabText = exports.TabList = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tflex: 1;\n \tdisplay: flex;\n \tflex-flow: row;\n \tlist-style: none;\n \tpadding: 0;\n \tmargin: 0;\n\tmax-height: 40px;\n\talign-items: end;\n'], ['\n\tflex: 1;\n \tdisplay: flex;\n \tflex-flow: row;\n \tlist-style: none;\n \tpadding: 0;\n \tmargin: 0;\n\tmax-height: 40px;\n\talign-items: end;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n\ttext-overflow: ellipsis;\n\toverflow: hidden;\n\twhite-space: nowrap;\n'], ['\n\ttext-overflow: ellipsis;\n\toverflow: hidden;\n\twhite-space: nowrap;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n\ttext-decoration: none;\n\talign-items: center;\n\tjustify-content: center;\n\tdisplay: flex;\n\theight: 40px;\n\tmargin-right: 3px;\n\tmax-width: 250px;\n\tmin-width: 60px;\n\tpadding-left: 20px;\n\tpadding-right: 20px;\n\tflex-flow: row nowrap;\n\tborder-radius: 5px 5px 0px 0px;\n\tcolor: ', ';\n\tbackground: ', ';\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: white;\n\t}\n'], ['\n\ttext-decoration: none;\n\talign-items: center;\n\tjustify-content: center;\n\tdisplay: flex;\n\theight: 40px;\n\tmargin-right: 3px;\n\tmax-width: 250px;\n\tmin-width: 60px;\n\tpadding-left: 20px;\n\tpadding-right: 20px;\n\tflex-flow: row nowrap;\n\tborder-radius: 5px 5px 0px 0px;\n\tcolor: ', ';\n\tbackground: ', ';\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: white;\n\t}\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n\tgrid-area:workspace;\n\tdisplay: flex;\n\tflex-flow: column nowrap;\n\tmargin: 20px 20px 20px 20px;\n\toverflow-y:auto;\n\t-webkit-overflow-scrolling: touch;\n'], ['\n\tgrid-area:workspace;\n\tdisplay: flex;\n\tflex-flow: column nowrap;\n\tmargin: 20px 20px 20px 20px;\n\toverflow-y:auto;\n\t-webkit-overflow-scrolling: touch;\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n\twidth: 18px; \n\theight: 18px;\n\tmargin-right: 8px;  \n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n'], ['\n\twidth: 18px; \n\theight: 18px;\n\tmargin-right: 8px;  \n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import theme from 'theme/default'


var TabList = exports.TabList = _styledComponents2.default.div(_templateObject);

var TabText = exports.TabText = _styledComponents2.default.div(_templateObject2);

var Link = exports.Link = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject3, function (props) {
	return props.activetab === 'true' ? '#fff' : '#000';
}, function (props) {
	return props.activetab === 'true' ? props.theme.tab.selected : props.theme.tab.unselected;
}, function (props) {
	return props.theme.tab.hover;
});

var SceneDiv = exports.SceneDiv = _styledComponents2.default.div(_templateObject4);

var TabIconDiv = exports.TabIconDiv = _styledComponents2.default.div(_templateObject5);